### Method

# Handy ValueObject dup_string

#### Declaration [src]

    gchar*
    hdy_value_object_dup_string (
      HdyValueObject* value
    )

#### Description [src]

Gets a copy of the contained string if the value is of type `G_TYPE_STRING`.

Available since: | 1.0

#### Return value

Returns: | `gchar*`
| A copy of the contained string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.